0.10.2 (February 15, 2018)
==========================

  * [ENH] Add warning about mounting relative paths (#690)
  * [FIX] Sanitize inputs (#687)
  * [DOC] Fix documentation to use --version instead of -v (#688)

0.10.1
======

  * [FIX] Fixed a bug in reading outputs of 3dFWHMx (#678)

0.9.10
======

  * [FIX] Updated AFNI to 17.3.03. Resolves errors regarding opening display by 3dSkullStrip (#669)

0.9.9
=====

  * [ENH] Update nipype to fix $DISPLAY problem of AFNI's 3dSkullStrip

0.9.8
=====

With thanks to Jan Varada (@jvarada) for the session/run filtering.

  * [ENH] Report recall in cross-validation (requested by reviewer) (#633)
  * [ENH] Hotfixes to 0.9.7 (#635)
  * [FIX] Implement filters for session, run and task of BIDS input (#612)

0.9.7
=====

  * [ENH] Clip outliers in FD and SPIKES group plots (#593)
  * [ENH] Second revision of the classifier (#555):
    * Set matplotlib plugin to `agg` in docker image
    * Migrate scalings to sklearn pipelining system
    * Add Satra's feature selection for RFC (with thanks to S. Ghosh for his suggestion)
    * Make model selection compatible with sklearn `Pipeline`
    * Multiclass classification
    * Add feature selection filter based on Sites prediction (requires pinning to development sklearn-0.19)
    * Add `RobustLeavePGroupsOut`, replace `RobustGridSearchCV` with the standard `GridSearchCV` of sklearn.
    * Choice between `RepeatedStratifiedKFold` and `RobustLeavePGroupsOut` in `mriqc_clf`
    * Write cross-validation results to an `.npz` file.
  * [ENH] First revision of the classifier (#553):
    * Add the possibility of changing the scorer function.
    * Unifize labels for raters in data tables (to `rater_1`)
    * Add the possibility of setting a custom decision threshold
    * Write the probabilities in the prediction file
    * Revised `mriqc_clf` processing flow
    * Revised labels file for ds030.
    * Add IQMs for ABIDE and DS030 calculated with MRIQC 0.9.6.
  * ANNOUNCEMENT: Dropped support for Python<=3.4
  * WARNING (#596): 
    We have changed the default number of threads for ANTs. Using parallelism with ANTs
    causes numerical instability on the calculated measures. The most sensitive metrics to this
    problem are the kurtosis calculations on the intensities of regions and qi_2.

0.9.6
=====

  * [ENH] Finished setting up `MRIQC Web API <https://mriqc.nimh.nih.gov>`_
  * [ENH] Better error message when --participant_label is set (#542)
  * [FIX] Allow --load-classifier option to be empty in mriqc_clf (#544)
  * [FIX] Borked bias estimation derived from Conform (#541)
  * [ENH] Test against web API 0.3.2 (#540)
  * [ENH] Change the default Web API address (#539)
  * [ENH] MRIQCWebAPI: hash fields that may have PI (#538)
  * [ENH] Added token authorization to MRIQCWebAPI client (#535)
  * [FIX] Do not mask and antsAffineInitializer twice (#534)
  * [FIX] Datasets where air (hat) mask is empty (#533)
  * [ENH] Integration testing for MRIQCWebAPI (#520)
  * [ENH] Use AFNI to calculate gcor (#531)
  * [ENH] Refactor derivatives (#530)
  * [ENH] New bold-IQM: dummy_trs (non-stady state volumes) (#524)
  * [FIX] Order of BIDS components in IQMs CSV table (#525)
  * [ENH] Improved logging of mriqc_run (#526)

0.9.5
=====

  * [ENH] Refactored structural metrics calculation (#513)
  * [ENH] Calculate rotation mask (#515)
  * [ENH] Intensity harmonization in the anatomical workflow (#510)
  * [ENH] Set N4BiasFieldCorrection number of threads (#506)
  * [ENH] Convert FWHM in pixel units (#503)
  * [ENH] Add MRIQC client for feature crowdsourcing (#464)
  * [DOC] Fix functional feature labels in documentation (docs_only) (#507)
  * [FIX] New implementation for the rPVE feature (normalization, left-tail values) (#505)
  * [ENH] Parse BIDS selectors (run, task, etc.), improve CLI (#504)


0.9.4
=====

  * ANNOUNCEMENT: Dropped Python 2 support
  * [ENH] Use versioneer to handle versions (#500)
  * [ENH] Speed up spatial normalization (#495)
  * [ENH] Resampling of hat mask and TPMs with linear interp (#498)
  * [TST] Build documentation in CircleCI (#484)
  * [ENH] Use full-resolution T1w images from ABIDE (#486)
  * [TST] Parallelize tests (#493)
  * [TST] Binding /etc/localtime stopped working in docker 1.9.1 (#492)
  * [TST] Downgrade docker to 1.9.1 in circle (build_only) (#491)
  * [TST] Check for changes in intermediate nifti files (#485)
  * [FIX] Erroneous flag --n_proc in CircleCI (#490)
  * [ENH] Add build_only tag to circle builds (#488)
  * [ENH] Update Dockerfile (#482)
  * [FIX] Ignore --profile flag with Linear plugin (#483)
  * [DOC] Deep revision of the documentation (#479)
  * [ENH] Minor improvements: SpatialNormalization and segmentation (#472)
  * [ENH] Fixed typo for neurodebian install via apt-get (#478)
  * [ENH] Updating fs2gif script (#465)
  * [ENH] RF: Use niworkflows.interface.SimpleInterface (#468)
  * [ENH] Add reproducibility of metrics tracking (#466)

Release 0.9.3
=============

* [ENH] Reafactor of the Dockerfile to improve transparency, reduce size, and enable injecting code in Singularity (#457)
* [ENH] Make more the memory consumption estimates of each processing step more conservative to improve robustness (#456)
* [FIX] Minor documentation cleanups (#461)

Release 0.9.2
=============

* [ENH] Optional ICA reports for identifying spatiotemporal artifacts (#412)
* [ENH] Add --profile flag (#435)
* [ENH] Crashfiles are saved in plain text to improve portability (#434)
* [FIX] Fixes EPI mask erosion (#442)
* [ENH] Make FSL and AFNI motion correction more comparable by using the same scheme for defining the reference image (#444)
* [FIX] Temporarily disabling T1w quality classifier until it can be retrained on new measures (#447)


Release 0.9.1
=============

* [ENH] Add mriqc version and input image hash to IQMs json file (#432)
* [FIX] Affine and warp transforms are now applied in the correct order (#431)

Release 0.9.0-2
===============

* [ENH] Revise Docker paths (#429)
* [FIX] Greedy participant selection (#426)
* [FIX] Pin pybids to new version 0.1.0 (#427)
* [FIX] Amends sloppy PR #425 (#428)

Release 0.9.0-1
===============

* [FIX] BOLD reports clipped IQMs after spikes_num (#425)
* [FIX] Unicode error writing group reports (#424)
* [FIX] Respect Nifi header in fMRI conform node (#415)
* [DOC] Deep revision of documentation (#411, #416)
* [ENH] Added sphinx extension to plot workflow graphs (#411)
* [FIX] Removed repeated bias correction on anatomical workflows (#410)
* [FIX] Race condition in bold workflow when using shared workdir (#409)
* [FIX] Tests (#408, #407, #405)
* [FIX] Remove CDN for group level reports (#406)
* [FIX] Unused connection, matplotlib segfault (#403, #402)
* [ENH] Skip SpikeFFT detector by default (#400)
* [ENH] Use float32 (#399)
* [ENH] Spike finder performance improvoments (#398)
* [ENH] Basic T2w workflow (#394)
* [ENH] Re-enable 3dvolreg (#390)
* [ENH] Add T1w classifier (#389)

Release 0.9.0-0
===============

* [FIX] Remove non-repeatable step from pipeline (#369)
* [ENH] Improve group level command line, with more informative output when no IQMs are found for a modality (#372)
* [ENH] Make group reports self-contained (#333)
* [FIX] New mosaics, based on old ones (#361, #360, #334)
* [FIX] Require numpy>=1.12 to avoid casting problems (#356)
* [FIX] Add support for acq and rec tags of BIDS (#346)
* [DOC] Documentation updates (#350)
* [FIX] pybids compatibility "No scans were found" (#340, #347, #342)
* [ENH] Rewrite PYTHONPATH in docker/singularity images (#345)
* [ENH] Move metadata onto the bottom of the individual reports (#332)
* [ENH] Don't include MNI registration report unlesS --verbose-reports is used (#362)


Release 0.8.9
=============

* [ENH] Added registration svg panel to reports (#297)


Release 0.8.8
=============

* [FIX] Bug translating int16 to uint8 in conform image.
* [FIX] Error in ConformImage interface (#297)
* [ENH] Replace BBR by ANTs (#295, #296)
* [FIX] Singularity: user-environment leaking into container (#293)
* [ENH] Report failed cases in group report (#291)
* [FIX] Brighter anatomical --verbose-reports (#290)
* [FIX] X-flip in the mosaics (#289)
* [ENH] Show metadata in the individual report (#288)
* [ENH] Label in the cutoff threshold - fmriplot (#287)
* [ENH] PyBIDS (#286)
* [ENH] Simplify tests (#284)
* [FIX] MRIQC crashed generating csv files (#283)
* [FIX] Bug in setup.py (#281)
* [ENH] Makefile (#280)
* [FIX] Revision of IQMs (#266, #272, #279)
* [ENH] Deprecation of --nthreads, new flags (#260)
* [ENH] Improvements on plots rendering (#254, #257, #258, #267, #268, #269, #270)
* [ENH] FFT detection of spikes (#253, #272)
* [FIX] Labels and links of samples in group plots (#249)
* [ENH] Units in group plots (#242)
* [FIX] More reliable group level (#238)
* [ENH] Add --verbose-reports for fMRI (#236)
* [ENH] Migrate functional reports to html (#232)
* [ENH] Add 0.2 FD cutoff line (#231)
* [ENH] Add AFNI's outlier count to carpet plot confound charts (#230)

Release 0.8.7
=============

* [ENH] Anatomical Group reports in html (#227)
* [ENH] Add kurtosis to summary statistics (#224)
* [ENH] New report layout for fMRI, added carpetplot (#198)
* [ENH] Anatomical workflow refactor (#219).

Release 0.8.6
=============

* [FIX, CRITICAL] Do not chmod in Docker internal scripts
* [FIX] Error creating derivatives folder
* [ENH] Moved MNI spatial normalization to NIworkflows, and made robust.
* [ENH] De-coupled participant and group (reports) levels
* [ENH] Use new FD and DVARs calculations from nipype (#172)
* [ENH] Started with python3 compatibility
* [ENH] Added new M2WM measure #158
* [FIX] QI2 is skipped if background intensity is not appropriate (#147)

Release 0.8.5
=============

* [FIX] Error inverting the T1w-to-MNI warping (#146)
* [FIX] TypeError computing DVARS (#145)
* [ENH] Plot figure of fitted background chi for QI2 (#143)
* [ENH] Move skull-stripping and reorient to NIworkflows (#142)
* [FIX] mriqc crashes if no anatomical scans are found (#141)
* [DOC] Added acknowledgments to CPAC team members (#134)
* [ENH] Use absolute imports (#133)
* [FIX] VisibleDeprecationWarning (#132)
* [ENH] Provide full FD/DVARS files (#128)
* [ENH] Use MCFLIRT to compute motion parameters. AFNI's 3dvolreg now is optional (#121)
* [FIX] BIDS trees with anatomical images with different acquisition tokens (#116)
* [FIX] BIDS trees with anatomical images with several runs (#112)
* [ENH] Options for ANTs normalization: reduced test times (#124),
  and updated options (#115)

Release 0.8.4
=============

* [ENH] PDF reports now use RST templates and jinja2 (#109)
* [FIX] Single-session-multiple-run anatomical files were not correctly located (#112)

Release 0.8.3
=============

* [DOC] Added examples of the PDF reports (#107)
* [FIX] Fixed problems with Python 3 when generating reports.

Release 0.8.2
=============

* [ENH] Python 3 compatibility (#99)
* [ENH] Add JSON settings file for ANTS (#95)
* [ENH] Generate reports automatically if mriqc is run without the -S flag (#93)
* [FIX] Revised implementation of QI2 measure (#90)
* [AGAVE] Fixed docker image for agave (#89)
* [FIX] Problem when generating the air mask with dipy installed (#88)
* [ENH] One-session-one-run execution mode (#85)
* [AGAVE] Added an agave app description generator (#84)

Release 0.3.0
=============

* [ENH] Updated CircleCI and Docker to use the version 2.1.0 of ANTs
  compiled by their developers.
* [ENH] New anatomical workflows to compute the air mask (#56)

Release 0.2.0
=============

Release 0.1.0
=============

* [FIX] #55
* [ENH] Added rotation of output csv files if they exist


Release 0.0.2
=============

* [ENH] Completed migration from QAP
* [ENH] Integration with ReadTheDocs
* [ENH] Submission to PyPi


Release 0.0.1
=============

* Basic mriqc functionality
